Bug 151458 - Anaconda ignores valid bind mounts in /etc/fstab on upgrade
Anaconda ignores valid bind mounts in /etc/fstab on upgrade
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2005-03-17 22:37 EST by Robin Green
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 13:03:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robin Green 2005-03-17 22:37:45 EST
Description of problem:
Anaconda ignores valid bind mounts in /etc/fstab on upgrade. Thus, some things
get installed in "the wrong place".

How reproducible:
Didn't try

Steps to Reproduce:
1. mkdir -p /root/usr/local
2. echo '/root/usr/local         /usr/local              none    bind,rw       
 0 0' >> /etc/fstab
3. mv /usr/src /root/usr/local
4. ln -s /usr/local/src/ /usr/src
5. Upgrade fedora to FC4 test 1
  
Actual results:
anaconda ignores the bind mount

Expected results:
anaconda should honour the bind mount, so that kernel-devel package ends up in
/root/usr/local/src/kernels, rather than "hidden" behind the bind mount.

Workaround:
After booting from CD/DVD and entering anaconda, but before upgrade commences
for real, do
CTRL+ALT+F1
chroot /mnt/sysimage
mount -n --bind /my/mount/point/1
mount -n --bind /my/mount/point/2
etc.
CTRL+ALT+F7
Comment 1 Robin Green 2005-03-17 22:47:56 EST
oops, I think that should be CTRL+ALT+F2 in the workaround, not CTRL+ALT+F1.
Comment 2 Chris Lumens 2005-04-18 11:32:18 EDT
When are you doing the steps to reproduce?  Are you doing this while on the
running system, or are you doing it after starting up the installer and
switching to a shell?
Comment 3 Robin Green 2005-04-20 08:21:11 EDT
The steps to reproduce are run on the running system, before booting into the
installer.
Comment 4 Chris Lumens 2005-04-28 13:03:53 EDT
Oh, the problem here is that the fstype in /etc/fstab for your bind mount is
"none", not "ext3".  Fixed in CVS.  You can change the type as a workaround for
now, or wait until the next version.

Note You need to log in before you can comment on or make changes to this bug.